AsterNet Class Library (Sandcastle documentation)

| StreamFileCommand Class

Plays the given file, allowing playback to be interrupted by the given digits, if any.
If offset is provided then the audio will seek to sample offset before play starts.
Returns 0 if playback completes without a digit being pressed, or the ASCII numerical value of the digit if one was pressed, or -1 on error or if the channel was disconnected.
Remember, the file extension must not be included in the filename.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
StreamFileCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class StreamFileCommand : AGICommand

    Public Class StreamFileCommand
    	Inherits AGICommand

    public ref class StreamFileCommand : public AGICommand

    type StreamFileCommand =
        class
            inherit AGICommand
        end

The StreamFileCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| StreamFileCommand(String) | Creates a new StreamFileCommand, streaming from the beginning.
| StreamFileCommand(String, String) | Creates a new StreamFileCommand, streaming from the beginning.
| StreamFileCommand(String, String, Int32) | Creates a new StreamFileCommand, streaming from the given offset.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| EscapeDigits | Get/Set the digits that allow the user to interrupt this command.
| File | Get/Set the name of the file to stream. The name of the file to stream, must not include extension.
| Offset | Get/Set the offset samples to skip before streaming.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace